Package Details: wl-clipboard-git 2.0.0-1

Git Clone URL: https://aur.archlinux.org/wl-clipboard-git.git (read-only)
Package Base: wl-clipboard-git
Description: Command-line copy/paste utilities for Wayland
Upstream URL: https://github.com/bugaevc/wl-clipboard
Licenses: GPL
Conflicts: wl-clipboard
Provides: wl-clipboard=2.0.0
Submitter: adabru
Maintainer: adabru (1ace)
Last Packager: adabru
Votes: 8
Popularity: 0.674081
First Submitted: 2018-11-07 08:50
Last Updated: 2019-10-05 02:10

Required by (10)

Sources (1)

Latest Comments

adabru commented on 2019-10-05 02:21

Hi @Mel, thanks for commenting and reporting the issue! I bumped the version to 2.0.0 . Hopefully that will solve the issue.

Mel commented on 2019-10-04 18:16

wl-clipboard recently hit 2.0 version, could you please bump the git version because it falsely pops up as an upgrade option every time:

==> Using [loonix] repository
  -> wl-clipboard-git: 2.0.0-1 -> 2.0.0_beta2+5.ga60a0a468c-2
==> Retrieving package files
From https://aur.archlinux.org/wl-clipboard-git
 = [up to date]      master     -> origin/master
==> WARNING: skipping built package (use -f to overwrite)
/var/cache/pacman/loonix/wl-clipboard-git-2.0.0-1-x86_64.pkg.tar

1ace commented on 2019-09-22 17:14

@adabru: thanks! I just updated the pkgver() function :)

adabru commented on 2019-09-22 12:35

Hi @lace, thanks for offering your help and contributing! I added you as co-maintainer so you can apply the change you propose.

1ace commented on 2019-09-19 10:44

@adabru: could you update this package to be compatible with wl-clipboard with regards to its version numbers?

Adding the following to your PKGBUILD should be enough:

pkgver() {
  cd wl-clipboard
  git describe --tags --abbrev=10 HEAD | sed 's/^v//; s/-/+/; s/-/./'
}

I'm happy to be added as a co-maintainer if you want :)